Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1512754

Summary: Server role: Cockpit not taken into count
Product: Red Hat CloudForms Management Engine Reporter: Satoe Imaishi <simaishi>
Component: UI - OPSAssignee: Brian McLaughlin <bmclaugh>
Status: CLOSED CANTFIX QA Contact: Vatsal Parekh <vparekh>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.9.0CC: hkataria, jhardy, jistefan, mpovolny, obarenbo, simaishi, vparekh
Target Milestone: GAKeywords: ZStream
Target Release: 5.8.4   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1497684 Environment:
Last Closed: 2018-01-30 14:00:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1497684    
Bug Blocks:    

Comment 2 CFME Bot 2017-11-14 01:28:15 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/67a0f0ae8a3fada5746cd72e119bd8bf8f598dab

commit 67a0f0ae8a3fada5746cd72e119bd8bf8f598dab
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Thu Oct 5 17:54:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 13 20:19:13 2017 -0500

    Merge pull request #2285 from bmclaughlin/check-for-active-cockpit-role
    
    Check for cockpit_ws server role to enable Web Console button
    (cherry picked from commit 96b74b933699d78ef008c9ccea6365e16f2b8e99)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1512754

 .../application_helper/button/cockpit_console.rb   |  6 +-
 spec/controllers/container_node_controller_spec.rb |  1 +
 spec/controllers/vm_cloud_controller/trees_spec.rb |  1 +
 spec/controllers/vm_infra_controller/trees_spec.rb |  1 +
 spec/controllers/vm_infra_controller_spec.rb       |  1 +
 .../buttons/cockpit_console_spec.rb                | 68 ++++++++++++++++------
 6 files changed, 57 insertions(+), 21 deletions(-)

Comment 4 CFME Bot 2017-11-14 19:13:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/d486602d80bd038bf1a8c9494c313ec898968f69

commit d486602d80bd038bf1a8c9494c313ec898968f69
Author:     Brian McLaughlin <bmclaugh@redhat.com>
AuthorDate: Tue Nov 14 13:41:11 2017 -0500
Commit:     Brian McLaughlin <bmclaugh@redhat.com>
CommitDate: Tue Nov 14 13:41:11 2017 -0500

    Add missing question mark
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1512754

 app/helpers/application_helper/button/cockpit_console.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Vatsal Parekh 2017-12-15 07:35:30 UTC
There's no Cockpit server role in 5.8z yet.

Comment 6 Brian McLaughlin 2017-12-18 21:05:22 UTC
Yeah, just noticed that myself a few days ago and filed a bug to revert the changes:
https://bugzilla.redhat.com/show_bug.cgi?id=1522951

Comment 7 Vatsal Parekh 2017-12-20 06:29:42 UTC
(In reply to Brian McLaughlin from comment #6)
> Yeah, just noticed that myself a few days ago and filed a bug to revert the
> changes:
> https://bugzilla.redhat.com/show_bug.cgi?id=1522951

I just verified that BZ

Comment 9 Brian McLaughlin 2018-01-30 14:00:52 UTC
Without a the role to key off of there is not a way to determine if Cockpit server is installed on a given VM.